<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<IsPackable>false</IsPackable>
		<IsTestProject>true</IsTestProject>
	</PropertyGroup>

	<Import Project="..//AyCode.Core.targets" />

	<ItemGroup>
		<PackageReference Include="coverlet.collector" Version="8.0.1">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="9.0.11" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.11" />
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="18.3.0" />
		<PackageReference Include="MSTest.TestAdapter" Version="4.1.0" />
		<PackageReference Include="MSTest.TestFramework" Version="4.1.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\AyCode.Core.Server\AyCode.Core.Server.csproj" />
		<ProjectReference Include="..\AyCode.Core.Tests\AyCode.Core.Tests.csproj" />
		<ProjectReference Include="..\AyCode.Core\AyCode.Core.csproj" />
		<ProjectReference Include="..\AyCode.Entities.Server\AyCode.Entities.Server.csproj" />
		<ProjectReference Include="..\AyCode.Entities\AyCode.Entities.csproj" />
		<ProjectReference Include="..\AyCode.Interfaces.Server\AyCode.Interfaces.Server.csproj" />
		<ProjectReference Include="..\AyCode.Interfaces\AyCode.Interfaces.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Using Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
	</ItemGroup>

</Project>
